Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.primitive.store
Interface GraphicStoreFactory

    public interface GraphicStoreFactory

The `GraphicStoreFactory` class/interface...

Method Summary
`boolean` | `canProcess(URI provider)` Indicates this `GraphicStoreFactory` communicate with the indicated provider or service.
`boolean` | `canProcess(URI provider, Map<String,Object> params)` Indicates this `GraphicStoreFactory` communicate with the indicated provider or service.
`GraphicStore` | `createGraphicStore(URI provider, Map<String,Object> params)` Ask for a `GraphicStore` connecting to the indicated provider or service.
`GraphicStore` | `createNewGraphicStore(URI provider, Map<String,Object> params)` Ask for a new `GraphicStore` connecting to the indicated provider or service.
`InternationalString` | `getDescription()` Description of this type of `GraphicStore`.
`InternationalString` | `getDisplayName()` Display name used to communicate this type of `GraphicStore` to end users.
`URI` | `getIcon()` Icon representing this category of `GraphicStore`s.
`Map<String,Class>` | `getParametersInfo()` Gets an `Object` array relating to the parameters needed (beyond the URI) to instantiate a `GraphicStore`.
`boolean` | `isAvailable()` Allows a `GraphicStoreFactory` to ensure all its preconditions are met, such as the presense of required libraries.

Method Detail

### createGraphicStore

    GraphicStore createGraphicStore(URI provider,
                                    Map<String,Object> params)
                                    throws IOException,
                                           GraphicStoreException

  Ask for a `GraphicStore` connecting to the indicated provider or service. The returned `GraphicStore` may have been previously cached.

  Additional hints or configuration information may be provided according to the metadata indicated by `getParametersInfo()`. This information often includes security information such as username and password.

  Parameters:
    `provider` - Often a URI or JDBC URI locating the service to connect to.
    `params` - Map of hints or configuration information.
  Returns:
    `GraphicStore` connected to the indicated provider or service.
  Throws:
    `IOException` - if the `GraphicStore` cannot connect to its source.
    `GraphicStoreException` - if anything else goes wrong while creating the `GraphicStore`.

### createNewGraphicStore

    GraphicStore createNewGraphicStore(URI provider,
                                       Map<String,Object> params)
                                       throws IOException,
                                              GraphicStoreException

  Ask for a new `GraphicStore` connecting to the indicated provider or service.

  Additional hints or configuration information may be provided according to the metadata indicated by `getParametersInfo()`. This information often includes security information such as username and password.

  Parameters:
    `provider` - Often a URI or JDBC URI locating the service to connect to.
    `params` - Map of hints or configuration information.
  Returns:
    `GraphicStore` connected to the newly created provider or service.
  Throws:
    `IOException` - if the `GraphicStore` cannot connect to its source.
    `GraphicStoreException` - if anything else goes wrong while creating the `GraphicStore`.

### getIcon

    URI getIcon()

  Icon representing this category of `GraphicStore`s.

  Returns:
    the icon.
  TODO:
    Assumed to point to a 16x16 icon?

### getDisplayName

    InternationalString getDisplayName()

  Display name used to communicate this type of `GraphicStore` to end users.

### getDescription

    InternationalString getDescription()

  Description of this type of `GraphicStore`.

### getParametersInfo

    Map<String,Class> getParametersInfo()

  Gets an `Object` array relating to the parameters needed (beyond the URI) to instantiate a `GraphicStore`.

  TODO:
    Should be replaced with a `Param`[] based on ISO standards (ISO 19119).

### canProcess

    boolean canProcess(URI provider)

  Indicates this `GraphicStoreFactory` communicate with the indicated provider or service.

  This method should not fail, if a connection needs to be made to parse a `GetCapabilities` file or negotiate WMS versions any IO problems simply indicate the inability to process.

  This method may be considered the same as: `canProcess(provider, hints)` where hints was generated by using all the default values specified by the `getParametersInfo()` method.

  Parameters:
    `provider` - Provider or Server of spatial information.

### canProcess

    boolean canProcess(URI provider,
                       Map<String,Object> params)

  Indicates this `GraphicStoreFactory` communicate with the indicated provider or service.

  This method differs from `canProcess(URI)` in that additional configuration information may be supplied.

  Parameters:
    `provider` - Provider or Server of spatial information.
    `params` - additional configuration information.
  Returns:
    `true` if this factory can communicate with the provider.

### isAvailable

    boolean isAvailable()

  Allows a `GraphicStoreFactory` to ensure all its preconditions are met, such as the presense of required libraries.

  Returns:
    `true` if available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.